#include <bits/stdc++.h>

using namespace std;

long long f(long long n) {
    if (n == 1)
        return 1;
    return n + f(n / 2) + f(n - n / 2);
}

int main()
{
    long long h, w;
    cin >> h >> w;
    cout << f(h * w) << endl;
    return 0;
}
